Skip to main content
GET
/
history
/
{service}
/
items
/
{item}
Get a service history item
import requests

url = "https://{FUSION HOST}/api/history/{service}/items/{item}"

response = requests.get(url)

print(response.text)
HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/history/{service}/items/{item}")
  .asString();
const options = {method: 'GET'};

fetch('https://{FUSION HOST}/api/history/{service}/items/{item}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/history/{service}/items/{item}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://{FUSION HOST}/api/history/{service}/items/{item}"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{FUSION HOST}/api/history/{service}/items/{item}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
curl --request GET \
  --url https://{FUSION HOST}/api/history/{service}/items/{item}
{
  "events": [
    {
      "start": "2014-05-16T15:34:49.008Z",
      "end": "2014-05-16T15:34:49.435Z",
      "source": "scheduler",
      "type": "execute",
      "status": "ok",
      "details": {
        "status": 200,
        "entity": "{\n  \"id\" : \"TwitterSearch\",\n  \"dataSourceId\" : \"TwitterSearch\",\n  \"state\" : \"RUNNING\",\n  \"message\" : null,\n  \"startTime\" : 1400254489000,\n  \"endTime\" : -1,\n  \"finished\" : false,\n  \"counters\" : { },\n  \"exception\" : null,\n  \"running\" : true\n}"
      },
      "error": null
    },
    {
      "start": "2014-05-16T15:38:32.536Z",
      "end": "2014-05-16T15:38:32.559Z",
      "source": "scheduler",
      "type": "execute",
      "status": "ok",
      "details": {
        "status": 200,
        "entity": "{\n  \"id\" : \"TwitterSearch\",\n  \"dataSourceId\" : \"TwitterSearch\",\n  \"state\" : \"RUNNING\",\n  \"message\" : null,\n  \"startTime\" : 1400254712000,\n  \"endTime\" : -1,\n  \"finished\" : false,\n  \"counters\" : { },\n  \"exception\" : null,\n  \"running\" : true\n}"
      },
      "error": null
    }
  ]
}

Path Parameters

service
string
required

The name of a service.

item
string
required

The name of a history item.

Query Parameters

timeRange
string

Time range in Solr format. Default value is [NOW-30DAYS/DAY TO NOW].

maxLength
integer<int32>

Maximum number of history elements to retrieve. Default value is 50. For values greater than 500, only 500 history elements will be retrieved.

Response

200 - application/json

successful operation

events
object[]
read-only